Package ru.bitel.bgbilling.kernel.contract.balance.server.event

# Class ChargeEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.contract.balance.server.event.ChargeEvent

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `TicketChargeEvent`

    public class ChargeEvent
    extends ru.bitel.bgbilling.kernel.event.common.QueueEvent

Асинхронное событие - занесение расхода в договор.
Вызывается после занесения расхода на баланс договора и изменения баланса.
Унаследован от `QueueEvent`

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `ChargeEvent()` |
  `` | `ChargeEvent​(int userId, Charge charge)` | Контруктор события.
  `` | `ChargeEvent​(int userId, Charge charge, boolean editMode)` | Конструкор события.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Charge` | `getCharge()` | Возвращает объект с расходом.
  `int` | `getTypeId()` | Deprecated.
  `boolean` | `isEditMode()` | Возвращает режим события

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChargeEvent

    protected ChargeEvent()

  - ### ChargeEvent

    public ChargeEvent​(int userId, Charge charge)
    Контруктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `charge` - - расход договора

  - ### ChargeEvent

    public ChargeEvent​(int userId, Charge charge, boolean editMode)
    Конструкор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `charge` - - расход договора
      `editMode` - - режим события платежа.

- ## Method Details

  - ### getCharge

    public Charge getCharge()
    Возвращает объект с расходом.
    Returns:
      charge-расход договора

  - ### isEditMode

    public boolean isEditMode()
    Возвращает режим события
    Returns:
      editMode - true - если редактируется; false - если создается

  - ### getTypeId

    @Deprecated public int getTypeId()
    Deprecated.
    Использовать проверку instanceof.
    Overrides:
      `getTypeId` in class `ru.bitel.bgbilling.kernel.event.common.Event`